- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Functions
WPGSVGGenerator.cpp File Reference
`#include "WPGSVGGenerator.h"`
`#include <locale.h>`
`#include <sstream>`
`#include <string>`

## Functions
static std::string | doubleToString (const double value)
static unsigned | stringToColour (const ::WPXString &s)

## Function Documentation

static std::string doubleToString | ( | const double | value | ) |
| static

Referenced by libwpg::WPGSVGGenerator::drawEllipse(), libwpg::WPGSVGGenerator::drawGraphicObject(), libwpg::WPGSVGGenerator::drawPath(), libwpg::WPGSVGGenerator::drawPolySomething(), libwpg::WPGSVGGenerator::drawRectangle(), libwpg::WPGSVGGenerator::setStyle(), libwpg::WPGSVGGenerator::startGraphics(), libwpg::WPGSVGGenerator::startTextObject(), libwpg::WPGSVGGenerator::startTextSpan(), and libwpg::WPGSVGGenerator::writeStyle().

static unsigned stringToColour | ( | const ::WPXString & | s | ) |
| static

Referenced by libwpg::WPGSVGGenerator::setStyle().